package net.mosgrom.modvid.game;

import java.awt.Color;
import java.awt.Graphics;
import net.mosgrom.modvid.gamelib.Ship;
import net.mosgrom.modvid.gamelib.Space;


public class NPCShip extends Ship {

	Space space;
	
	@Override
	public void shipAdded(Space s) {
		space = s;
	}
	
	@Override
	public void update(Graphics g) {
		if (destinationReached()) {
			setCourse(space.randomLocation(), 0.2);
		}
		updateLocation();
		g.setColor(Color.red);
		g.fillOval(location().x, location().y, 32, 32);
	}

}
