package net.mosgrom.modvid.game;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import net.mosgrom.modvid.gamelib.Ship;
import net.mosgrom.modvid.gamelib.Space;


public class PlayerShip extends Ship implements MouseListener {
	
	@Override
	public void shipAdded(Space s) {
		s.addMouseListener(this);
	}
	
	@Override
	public void update(Graphics g) {
		updateLocation();
		g.setColor(Color.YELLOW);
		g.fillRect(location().x, location().y, 32, 32);
	}
	
	@Override
	public void mouseClicked(MouseEvent e) {
	}

	@Override
	public void mousePressed(MouseEvent e) {
	}

	@Override
	public void mouseReleased(MouseEvent e) {
		setCourse(e.getPoint(), 0.1);
	}

	@Override
	public void mouseEntered(MouseEvent e) {
	}

	@Override
	public void mouseExited(MouseEvent e) {
	}

}
